Package com.enonic.xp.content

## Class ContentConstants

- java.lang.Object
- - com.enonic.xp.content.ContentConstants

-     @PublicApi
      public final class ContentConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ARCHIVE_COMMIT_PREFIX` |
    `static String` | `ARCHIVE_COMMIT_PREFIX_DELIMITER` |
    `static Branch` | `BRANCH_DRAFT` |
    `static Branch` | `BRANCH_MASTER` |
    `static NodeType` | `CONTENT_NODE_COLLECTION` |
    `static Repository` | `CONTENT_REPO` | Deprecated.
    `static AccessControlList` | `CONTENT_REPO_DEFAULT_ACL` |
    `static RepositoryId` | `CONTENT_REPO_ID` |
    `static String` | `CONTENT_REPO_ID_PREFIX` |
    `static String` | `CONTENT_ROOT_NAME` |
    `static NodePath` | `CONTENT_ROOT_PARENT` |
    `static NodePath` | `CONTENT_ROOT_PATH` |
    `static String` | `CONTENT_ROOT_PATH_ATTRIBUTE` |
    `static AuthenticationInfo` | `CONTENT_SU_AUTH_INFO` |
    `static Context` | `CONTEXT_DRAFT` | Deprecated.
    `static Context` | `CONTEXT_MASTER` | Deprecated.
    `static ChildOrder` | `DEFAULT_CHILD_ORDER` |
    `static ChildOrder` | `DEFAULT_CONTENT_REPO_ROOT_ORDER` |
    `static String` | `DOCUMENT_INDEX_DEFAULT_ANALYZER` |
    `static String` | `PUBLISH_COMMIT_PREFIX` |
    `static String` | `PUBLISH_COMMIT_PREFIX_DELIMITER` |
    `static String` | `RESTORE_COMMIT_PREFIX` |
    `static String` | `UNPUBLISH_COMMIT_PREFIX` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOCUMENT_INDEX_DEFAULT_ANALYZER

          public static final String DOCUMENT_INDEX_DEFAULT_ANALYZER

      See Also:
        Constant Field Values

    - #### BRANCH_DRAFT

          public static final Branch BRANCH_DRAFT

    - #### BRANCH_MASTER

          public static final Branch BRANCH_MASTER

    - #### CONTENT_REPO_ID_PREFIX

          public static final String CONTENT_REPO_ID_PREFIX

      See Also:
        Constant Field Values

    - #### CONTENT_REPO_ID

          public static final RepositoryId CONTENT_REPO_ID

    - #### CONTENT_REPO

          @Deprecated
          public static final Repository CONTENT_REPO

      Deprecated.

    - #### CONTEXT_DRAFT

          @Deprecated
          public static final Context CONTEXT_DRAFT

      Deprecated.

    - #### CONTEXT_MASTER

          @Deprecated
          public static final Context CONTEXT_MASTER

      Deprecated.

    - #### CONTENT_REPO_DEFAULT_ACL

          public static final AccessControlList CONTENT_REPO_DEFAULT_ACL

    - #### CONTENT_ROOT_NAME

          public static final String CONTENT_ROOT_NAME

      See Also:
        Constant Field Values

    - #### CONTENT_ROOT_PARENT

          public static final NodePath CONTENT_ROOT_PARENT

    - #### CONTENT_ROOT_PATH

          public static final NodePath CONTENT_ROOT_PATH

    - #### CONTENT_NODE_COLLECTION

          public static final NodeType CONTENT_NODE_COLLECTION

    - #### DEFAULT_CONTENT_REPO_ROOT_ORDER

          public static final ChildOrder DEFAULT_CONTENT_REPO_ROOT_ORDER

    - #### DEFAULT_CHILD_ORDER

          public static final ChildOrder DEFAULT_CHILD_ORDER

    - #### PUBLISH_COMMIT_PREFIX

          public static final String PUBLISH_COMMIT_PREFIX

      See Also:
        Constant Field Values

    - #### UNPUBLISH_COMMIT_PREFIX

          public static final String UNPUBLISH_COMMIT_PREFIX

      See Also:
        Constant Field Values

    - #### RESTORE_COMMIT_PREFIX

          public static final String RESTORE_COMMIT_PREFIX

      See Also:
        Constant Field Values

    - #### ARCHIVE_COMMIT_PREFIX

          public static final String ARCHIVE_COMMIT_PREFIX

      See Also:
        Constant Field Values

    - #### PUBLISH_COMMIT_PREFIX_DELIMITER

          public static final String PUBLISH_COMMIT_PREFIX_DELIMITER

      See Also:
        Constant Field Values

    - #### ARCHIVE_COMMIT_PREFIX_DELIMITER

          public static final String ARCHIVE_COMMIT_PREFIX_DELIMITER

      See Also:
        Constant Field Values

    - #### CONTENT_ROOT_PATH_ATTRIBUTE

          public static final String CONTENT_ROOT_PATH_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### CONTENT_SU_AUTH_INFO

          public static final AuthenticationInfo CONTENT_SU_AUTH_INFO